/*
 * uart.h
 *
 * Created: 20.02.2019 20:50:01
 *  Author: jens
 */ 


#ifndef UART_H_
#define UART_H_

#include "fifo.h"

void uart_init(Fifo *pFifo, uint16_t BAUD_PRESCALE);
void uart_putc(char c);
int uart_putchar(char c, FILE *stream);
void uart_puts(char const *str);

#endif /* UART_H_ */